////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                            //
//                                       WATTO STUDIOS                                        //
//                             Java Code, Programs, and Software                              //
//                                    http://www.watto.org                                    //
//                                                                                            //
//                           Copyright (C) 2004-2010  WATTO Studios                           //
//                                                                                            //
// This program is free software; you can redistribute it and/or modify it under the terms of //
// the GNU General Public License published by the Free Software Foundation; either version 2 //
// of the License, or (at your option) any later versions. This program is distributed in the //
// hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranties //
// of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License //
// at http://www.gnu.org for more details. For updates and information about this program, go //
// to the WATTO Studios website at http://www.watto.org or email watto@watto.org . Thanks! :) //
//                                                                                            //
////////////////////////////////////////////////////////////////////////////////////////////////

package org.watto.android;

import android.os.Bundle;


/***********************************************************************************************
A singleton class for storing and retrieving a single Bundle used for passing extra information
to a Dialog. This is used as a quick workaround for showDialog(int,Bundle) that doesn't exist
until API Level 8 (Android 2.2)
***********************************************************************************************/
public class DialogBundleManager {

  /** The Bundle that stores extra information for a Dialog **/
  static Bundle bundle = null;


  /***********************************************************************************************
  Gets the <i>bundle</i>. The <i>bundle</i> is removed as part of this, being set back to <b>null</b>.
  @return the <i>bundle</i>
  ***********************************************************************************************/
  public static Bundle get(){
    Bundle returnBundle = bundle;
    bundle = null;
    return returnBundle;
  }


  /***********************************************************************************************
  Sets the <i>bundle</i>. 
  @param newBundle the <code>Bundle</code> to store
  ***********************************************************************************************/
  public static void set(Bundle newBundle){
    bundle = newBundle;
  }

}