////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                            //
//                                       WATTO STUDIOS                                        //
//                             Java Code, Programs, and Software                              //
//                                    http://www.watto.org                                    //
//                                                                                            //
//                           Copyright (C) 2004-2010  WATTO Studios                           //
//                                                                                            //
// This program is free software; you can redistribute it and/or modify it under the terms of //
// the GNU General Public License published by the Free Software Foundation; either version 2 //
// of the License, or (at your option) any later versions. This program is distributed in the //
// hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranties //
// of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License //
// at http://www.gnu.org for more details. For updates and information about this program, go //
// to the WATTO Studios website at http://www.watto.org or email watto@watto.org . Thanks! :) //
//                                                                                            //
////////////////////////////////////////////////////////////////////////////////////////////////

package org.watto.android;

/***********************************************************************************************
A singleton class for storing and retrieving language strings
***********************************************************************************************/
public class Language {

  /***********************************************************************************************
  Gets the <code>String</code> value for the <i>resourceID</i> resource
  @param resourceID the resource ID of the String
  @return the setting value as a <code>String</code>
  ***********************************************************************************************/
  public static String get(int resourceID){
    if (Settings.hasApplication()) {
      return Settings.getApplication().getString(resourceID);
    }
    else {
      return null;
    }
  }

}