////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                            //
//                                       WATTO STUDIOS                                        //
//                             Java Code, Programs, and Software                              //
//                                    http://www.watto.org                                    //
//                                                                                            //
//                           Copyright (C) 2004-2010  WATTO Studios                           //
//                                                                                            //
// This program is free software; you can redistribute it and/or modify it under the terms of //
// the GNU General Public License published by the Free Software Foundation; either version 2 //
// of the License, or (at your option) any later versions. This program is distributed in the //
// hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranties //
// of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License //
// at http://www.gnu.org for more details. For updates and information about this program, go //
// to the WATTO Studios website at http://www.watto.org or email watto@watto.org . Thanks! :) //
//                                                                                            //
////////////////////////////////////////////////////////////////////////////////////////////////

package org.watto.android.component;

import org.watto.android.R;
import android.webkit.WebChromeClient;
import android.webkit.WebView;
import android.widget.ProgressBar;


public class WSWebChromeClient extends WebChromeClient {

  WSWebView webView;

  ProgressBar progressBar;


  public WSWebChromeClient(WSWebView webView){
    super();

    this.webView = webView;
    progressBar = (ProgressBar)webView.findViewById(R.id.web_view_progress);
  }


  public void onProgressChanged(WebView view,int progress){
    progressBar.setProgress(progress);
    
    if (progress == 100){
      webView.setTitle(R.string.page_loaded);
      progressBar.setVisibility(ProgressBar.GONE);
    }
    else {
      webView.setTitle(R.string.page_loading);
      progressBar.setVisibility(ProgressBar.VISIBLE);
    }
  }

}
