////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                            //
//                                       WATTO STUDIOS                                        //
//                             Java Code, Programs, and Software                              //
//                                    http://www.watto.org                                    //
//                                                                                            //
//                           Copyright (C) 2004-2010  WATTO Studios                           //
//                                                                                            //
// This program is free software; you can redistribute it and/or modify it under the terms of //
// the GNU General Public License published by the Free Software Foundation; either version 2 //
// of the License, or (at your option) any later versions. This program is distributed in the //
// hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranties //
// of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License //
// at http://www.gnu.org for more details. For updates and information about this program, go //
// to the WATTO Studios website at http://www.watto.org or email watto@watto.org . Thanks! :) //
//                                                                                            //
////////////////////////////////////////////////////////////////////////////////////////////////

package org.watto.android.component;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Bitmap;
import android.net.Uri;
import android.net.http.SslError;
import android.webkit.SslErrorHandler;
import android.webkit.WebView;
import android.webkit.WebViewClient;


public class WSWebViewClient extends WebViewClient {

  WSWebView webView;


  public WSWebViewClient(WSWebView webView){
    super();

    this.webView = webView;
  }


  public void onReceivedSslError(WebView view,SslErrorHandler handler,SslError error){
    handler.proceed();
  }


  public boolean shouldOverrideUrlLoading(WebView view,String url){

    if (url.startsWith("watto://callback") || url.startsWith("http://watto.callback")) {
      // Update the intent with the callback URL
      Intent intent = webView.getIntent();
      intent.putExtra("url",url);
      intent.setData(Uri.parse(url));
      
      // close the webview, so the result is passed back to the calling Activity
      webView.setResult(Activity.RESULT_OK,intent);
      webView.finish();
      return true;
    }

    // Load the URL in a separate Thread, to return control back to the user!
    // view.loadUrl(url);
    webView.loadUrl(url);
    
    return true;
  }
  
  
  public void onPageStarted (WebView view, String url, Bitmap favicon){

    // This exists here to capture AJAX-style changes (ie where the URL is loaded
    // within the current page instead of triggering a loadURL on the WebView itself)
    if (url.startsWith("watto://callback") || url.startsWith("http://watto.callback")) {
      // Update the intent with the callback URL
      Intent intent = webView.getIntent();
      intent.putExtra("url",url);
      intent.setData(Uri.parse(url));
      
      // close the webview, so the result is passed back to the calling Activity
      webView.setResult(Activity.RESULT_OK,intent);
      webView.finish();
    }
    else {
      super.onPageStarted(view,url,favicon);
    }
}
  
  public void onLoadResource (WebView view, String url){
    super.onLoadResource(view,url);
  }

}
