////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                            //
//                                       WATTO STUDIOS                                        //
//                             Java Code, Programs, and Software                              //
//                                    http://www.watto.org                                    //
//                                                                                            //
//                           Copyright (C) 2004-2010  WATTO Studios                           //
//                                                                                            //
// This program is free software; you can redistribute it and/or modify it under the terms of //
// the GNU General Public License published by the Free Software Foundation; either version 2 //
// of the License, or (at your option) any later versions. This program is distributed in the //
// hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranties //
// of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License //
// at http://www.gnu.org for more details. For updates and information about this program, go //
// to the WATTO Studios website at http://www.watto.org or email watto@watto.org . Thanks! :) //
//                                                                                            //
////////////////////////////////////////////////////////////////////////////////////////////////

package org.watto.android.component;

import android.webkit.WebView;

/***********************************************************************************************
A <code>Thread</code> that loads a URL into a <code>WSWebView</code>
***********************************************************************************************/
public class WSWebViewUrlLoader implements Runnable {

  /** The <code>WebView</code> that should show the <i>url</i> **/
  WebView webView;
  /** The URL to show **/
  String url;


  /***********************************************************************************************
  Creates the <code>Thread</code> for loading the <i>url</i> into the <code>webView</code>
  ***********************************************************************************************/
  public WSWebViewUrlLoader(WebView webView, String url){
    super();

    this.webView = webView;

    if (url == null || url.equals("")) {
      url = "about:blank";
    }

    this.url = url;
  }


  /***********************************************************************************************
  Loads the <i>url</i> into the <code>webView</code>
  ***********************************************************************************************/
  public void run(){
    try {
      webView.loadUrl(url);
    } 
    catch (Throwable t){
      // Catch stupid bug in the ViewThread
    }
  }

}
