////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                            //
//                                       WATTO STUDIOS                                        //
//                             Java Code, Programs, and Software                              //
//                                    http://www.watto.org                                    //
//                                                                                            //
//                           Copyright (C) 2004-2010  WATTO Studios                           //
//                                                                                            //
// This program is free software; you can redistribute it and/or modify it under the terms of //
// the GNU General Public License published by the Free Software Foundation; either version 2 //
// of the License, or (at your option) any later versions. This program is distributed in the //
// hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranties //
// of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License //
// at http://www.gnu.org for more details. For updates and information about this program, go //
// to the WATTO Studios website at http://www.watto.org or email watto@watto.org . Thanks! :) //
//                                                                                            //
////////////////////////////////////////////////////////////////////////////////////////////////

package org.watto.android.event.listener;

import org.watto.android.event.WSDialogClickableInterface;
import android.app.Dialog;
import android.content.DialogInterface;



/***********************************************************************************************
Listens for <i>single-click</i> events and passes them to the <code>WSDialogClickableInterface</code>
handler class for processing. These events are usually triggered by things like <code>Button<code>s
***********************************************************************************************/
public class WSDialogClickableListener implements Dialog.OnClickListener {

  /** the event handling class **/
  WSDialogClickableInterface handler;


  /***********************************************************************************************
  Registers the <code>WSDialogClickableInterface</code> handler class
  @param handler the event handling class
  ***********************************************************************************************/
  public WSDialogClickableListener(WSDialogClickableInterface handler){
    this.handler = handler;
  }


  /***********************************************************************************************
  Calls <code>handler.onClick()</code> when a <i>single-click</i> event is triggered
  @param source the <code>DialogInterface</code> that triggered the event
  @param button the <code>Button</code> that was clicked
  ***********************************************************************************************/
  public void onClick(DialogInterface source, int button){
    handler.onClick(source,button);
  }



}